Skip to main content

Vendors Report

Description​

The Vendors Report call reports on Vendor reference data within the bidlogix system. This will return a list of vendors dependant on the parameters you enter into the call and will include information such as vendor activation status, administrators attached to this vendor, vendor ID, etc.

The API must be structured correctly and have the correct security in place. See our document Troubleshooting.

See our documents Status Codes and Common Data for more information on results.

Making a request​

URL​

https://your_bidlogix_domain/auction-mgt/bdxapi/vendors?clientId=your_bidlogix_client_id

or, to specify the auctioneer, use the following:

https://your_bidlogix_domain/auction-mgt/bdxapi/vendors/{auctioneerId}?clientId=your_bidlogix_client_id

HTTP Method​

GET

Headers​

KeyValue
BDXAPI_NAMEBidlogix API Signature
Content-Typeapplication/json

Path Parameters​

ParameterValue
clientIdyour bidlogix client ID
auctioneerIdyour bidlogix auctioneer ID (optional)

Also see API Introduction.

Examples​

Call

https://hove.eu-west-2.bidjs.com/auction-mgt/bdxapi/vendors?clientId=302

Response

{
"@class": ".DataPushPayload",
"pushCode": "VENDOR_REFERENCE",
"models": {
"vendorReferenceModel": {
"@class": ".BackboneCollectionModel",
"collection": [
{
"@class": ".auction.VendorModel",
"id": 3,
"auctioneer": {
"@class": ".AuctioneerModel",
"webApp": null,
"clientOptions": {
"@class": ".ClientOptionsModel",
"showWinningBidAmount": true,
"showNumberOfBids": true,
"showBidIncrements": true,
"showBidStatusEndDate": true,
"showAutobidOnly": false,
"hideRelatedItems": true,
"maxOffersPerItem": 3
},
"auctioneerId": 3,
"name": "Demonstration Auctioneer",
"cloudyLogo": null,
"logo": null,
"facebookApplicationId": null,
"auctionEventCount": 0,
"auctionWebcastCount": 0,
"email": null,
"website": null,
"contactNumber": null,
"description": "An auctioneer that demonstrates",
"liveAuctionIds": []
},
"name": "Demonstration Vendor 1",
"companyContact": null,
"contacts": [],
"contactable": false,
"activated": false,
"summary": null,
"description": null,
"timeZone": {
"@class": ".TimeZoneModel",
"id": 316,
"name": "(GMT) (GMT) UTC",
"code": "UTC",
"selected": false,
"zone": null
},
"administrators": [
{
"@class": ".AdministratorModel",
"userId": 7,
"username": "Admin_demo"
},
]
},
{
"@class": ".auction.VendorModel",
"id": 30,
"auctioneer": {
"@class": ".AuctioneerModel",
"webApp": null,
"clientOptions": {
"@class": ".ClientOptionsModel",
"showWinningBidAmount": true,
"showNumberOfBids": true,
"showBidIncrements": true,
"showBidStatusEndDate": true,
"showAutobidOnly": false,
"hideRelatedItems": true,
"maxOffersPerItem": 3
},
"auctioneerId": 3,
"name": "Demonstration Auctioneer",
"cloudyLogo": null,
"logo": null,
"facebookApplicationId": null,
"auctionEventCount": 0,
"auctionWebcastCount": 0,
"email": null,
"website": null,
"contactNumber": null,
"description": "An auctioneer that demonstrates",
"liveAuctionIds": []
},
"name": "Demonstration Vendor 2",
"companyContact": null,
"contacts": [],
"contactable": false,
"activated": false,
"summary": null,
"description": null,
"timeZone": {
"@class": ".TimeZoneModel",
"id": 316,
"name": "(GMT) (GMT) UTC",
"code": "UTC",
"selected": false,
"zone": null
},
"administrators": [
{
"@class": ".AdministratorModel",
"userId": 7,
"username": "Admin_demo"
}
]
},
{
"@class": ".auction.VendorModel",
"id": 28,
"auctioneer": {
"@class": ".AuctioneerModel",
"webApp": null,
"clientOptions": {
"@class": ".ClientOptionsModel",
"showWinningBidAmount": true,
"showNumberOfBids": true,
"showBidIncrements": true,
"showBidStatusEndDate": true,
"showAutobidOnly": false,
"hideRelatedItems": true,
"maxOffersPerItem": 3
},
"auctioneerId": 3,
"name": "Demonstration Auctioneer",
"cloudyLogo": null,
"logo": null,
"facebookApplicationId": null,
"auctionEventCount": 0,
"auctionWebcastCount": 0,
"email": null,
"website": null,
"contactNumber": null,
"description": "An auctioneer that demonstrates",
"liveAuctionIds": []
},
"name": "Demonstration Vendor 3",
"companyContact": null,
"contacts": [],
"contactable": false,
"activated": false,
"summary": null,
"description": null,
"timeZone": {
"@class": ".TimeZoneModel",
"id": 316,
"name": "(GMT) (GMT) UTC",
"code": "UTC",
"selected": false,
"zone": null
},
"administrators": [
{
"@class": ".AdministratorModel",
"userId": 7,
"username": "Admin_demo"
},
]
}
]
}
},
"webAppContext": "302"
}

Errors​

codeexample
401 UNAUTHORIZED{ error : "Log in" }
422 Unprocessable Entry{ error : ["<field_name>"] }